Looking for ePay classic docs? Go to docs.epay.dk
ePay documentationDocsePay documentation
Subscriptions

List Subscriptions

GET
/public/api/v1/subscriptions

Authorization

BearerAuth
AuthorizationBearer <token>

In: header

Query Parameters

pageinteger

Page number.

Default:
1
perPageinteger

Number of items per page.

Default:
25
Range:
value <= 500
createdBeforestring

Only include subscriptions created at or before this timestamp (inclusive).

Format:
date-time
Example:
"2026-04-01T15:04:05Z"
createdAfterstring

Only include subscriptions created at or after this timestamp (inclusive).

Format:
date-time
Example:
"2026-04-01T00:00:00Z"
customerIdstring

Only include subscriptions associated with the provided customer id.

Example:
"User159"
referencestring

Only include subscriptions that match the provided reference string exactly.

Example:
"subscription-1"
currencystring

Only include subscriptions with the provided ISO 4217 currency code.

Example:
"DKK"
statestring

Only include subscriptions with the provided subscription state.

Possible values:
"PENDING""ACTIVE""INVALID""DISABLED"
Example:
"ACTIVE"
paymentMethodIdstring

Only include subscriptions associated with the provided payment method id.

Format:
uuid
Example:
"019ad8a2-18c6-7a72-bf20-2768be84eb42"
pointOfSaleIdstring
Format:
uuid
Example:
"019ad8a2-18c6-7a72-bf20-2768be84eb42"
typestring

Only include subscriptions with the provided subscription type.

Possible values:
"SCHEDULED""UNSCHEDULED"
Example:
"SCHEDULED"

Response Body

application/json

application/json

application/json

application/json

curl -X GET "https://example.com/public/api/v1/subscriptions"
{  "page": 0,  "perPage": 0,  "lastPage": 0,  "total": 0,  "firstPageUrl": "string",  "lastPageUrl": "string",  "nextPageUrl": "string",  "previousPageUrl": "string",  "nextPage": 0,  "previousPage": 0,  "from": 0,  "to": 0,  "path": "string",  "items": [    {      "subscription": {        "id": "01929a94-5fce-7ccc-a7e4-7e9249133b39",        "paymentMethodId": "01924756-d1f6-738d-8040-90d76cedf01f",        "currency": "DKK",        "customerId": "User159",        "pointOfSaleId": "0192473a-e381-705c-b61c-fc2ac9624afc",        "reference": "reference-1",        "description": "string",        "state": "ACTIVE",        "type": "SCHEDULED",        "expiryDate": "2050-01-01",        "interval": {          "period": "MONTH",          "frequency": 1        },        "createdAt": "2019-08-24T14:15:22Z"      },      "paymentMethod": {        "id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",        "type": "CARD",        "subType": "Visa",        "customerId": "User159",        "expiry": "2024-07-29",        "createdAt": "2024-07-29T15:51:28.071Z",        "displayText": "40000000XXXX0003"      }    }  ]}
{  "errorCode": "SERVER_ERROR",  "message": "An unexpected system error"}
{  "errorCode": "VALIDATION_ERROR",  "message": "Input validation errors",  "errors": {    "amount": [      "[required]: Is a required non-nullable field",      "[int]: Must be an integer",      "[min:0]: Must be greater than 0",      "[max:999999999]: Must be less than 999999999"    ]  }}
{  "errorCode": "SERVER_ERROR",  "message": "An unexpected system error"}